- Extending Qt Creator Manual
- ProgressIndicator
- Extending Qt Creator Manual 13.0.0

# ProgressIndicator Class

class Utils::ProgressIndicator

The ProgressIndicator class shows an circular, endlessly animated progress indicator. More...

Header: | #include <ProgressIndicator>
Inherits: | Utils::OverlayWidget

- List of all members, including inherited members

## Public Functions

| ProgressIndicator(Utils::ProgressIndicatorSize size, QWidget *parent = nullptr)
void | setIndicatorSize(Utils::ProgressIndicatorSize size)

## Reimplemented Public Functions

virtual QSize | sizeHint() const override

## Detailed Description

Use it if you want to indicate that some work is being done, but you do not have the detailed progress information needed for a progress bar. You can either create the widget on demand, or create the widget once and only show it on demand. The animation only runs while the widget is visible.

## Member Function Documentation

### ProgressIndicator::ProgressIndicator(Utils::ProgressIndicatorSize size, QWidget *parent = nullptr)

Constructs a ProgressIndicator of the size size and with the parent parent.

See also setIndicatorSize().

### void ProgressIndicator::setIndicatorSize(Utils::ProgressIndicatorSize size)

Changes the size of the progress indicator to size.

See also ProgressIndicatorPainter::indicatorSize().

### `[override virtual]` QSize ProgressIndicator::sizeHint() const

Returns the size of the indicator in device independent pixels.

See also ProgressIndicatorPainter::indicatorSize().